Bug 235093

Summary: x11/kde5: more GCC fixes
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Individual Port(s)Assignee: kde
Status: Closed FIXED    
Severity: Affects Only Me CC: adridg, linimon, pkubaj, tcberner
Priority: --- Flags: tcberner: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
v2
none
v3
none
v4
none
new fixes
none
qtcreator
none
qtcreator v2 none

Description Piotr Kubaj freebsd_committer 2019-01-20 23:08:17 UTC
Created attachment 201300 [details]
patch

Add USES=compiler:c++11-lang where it's needed and use webengine only on amd64 and i386 if the port compiles without it.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Tobias C. Berner freebsd_committer 2019-01-21 05:21:39 UTC
Moin moin

x11-toolkits/plasma5-kdeplasma-addons misses the options definitions, and will require an explicit toggle to CMake so it is not accidentally linked against.


mfg Tobias
Comment 2 Piotr Kubaj freebsd_committer 2019-01-21 17:04:40 UTC
Created attachment 201313 [details]
v2

Is that ok?
Comment 3 Tobias C. Berner freebsd_committer 2019-01-27 16:17:26 UTC
Moin moin

Could you refresh the patch against the current tree?


mfg Tobias
Comment 4 Piotr Kubaj freebsd_committer 2019-01-29 08:41:42 UTC
Created attachment 201499 [details]
v3

Regenerated.
Comment 5 Piotr Kubaj freebsd_committer 2019-01-31 07:44:35 UTC
Created attachment 201551 [details]
v4

Add option to build qtcreator without qt5-webengine.
Comment 6 commit-hook freebsd_committer 2019-02-08 22:51:02 UTC
A commit references this bug:

Author: tcberner
Date: Fri Feb  8 22:50:26 UTC 2019
New revision: 492466
URL: https://svnweb.freebsd.org/changeset/ports/492466

Log:
  Fix with build on GCC architectures.

  PR:		235093
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/audio/juk/Makefile
  head/databases/kexi/Makefile
  head/games/knights/Makefile
  head/games/ksudoku/Makefile
  head/graphics/kphotoalbum/Makefile
  head/graphics/showimage/Makefile
  head/multimedia/kaffeine/Makefile
  head/multimedia/phonon-gstreamer/Makefile
  head/x11/yakuake/Makefile
  head/x11-fm/krusader2/Makefile
Comment 7 Tobias C. Berner freebsd_committer 2019-02-08 22:52:12 UTC
Sorry for the timeout :) first batch committed...
Comment 8 Piotr Kubaj freebsd_committer 2019-02-11 10:51:34 UTC
Created attachment 201927 [details]
new fixes

More fixes (in addition to the older patch).
Comment 9 commit-hook freebsd_committer 2019-02-18 17:59:41 UTC
A commit references this bug:

Author: adridg
Date: Mon Feb 18 17:59:18 UTC 2019
New revision: 493281
URL: https://svnweb.freebsd.org/changeset/ports/493281

Log:
  More non-clang, non-x86 fixes.

   - add compiler:c++11-lang
   - make WebEngine optional

  (Second batch of fixes from the same PR)

  PR:		235093
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/audio/amarok/Makefile
  head/audio/amarok/pkg-plist
  head/games/gcompris-qt/Makefile
  head/multimedia/kamoso/Makefile
Comment 10 Adriaan de Groot freebsd_committer 2019-02-18 21:23:53 UTC
First commit added a bogus =true. That was removed in r493318. Thanks for submitting the patches.
Comment 11 Piotr Kubaj freebsd_committer 2019-03-01 22:19:31 UTC
You forgot about qtcreator.
Comment 12 commit-hook freebsd_committer 2019-03-22 19:18:10 UTC
A commit references this bug:

Author: tcberner
Date: Fri Mar 22 19:18:06 UTC 2019
New revision: 496581
URL: https://svnweb.freebsd.org/changeset/ports/496581

Log:
  devel/qtcreator: make www/qt5-webengine optional

  PR:		235093
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/pkg-plist
Comment 13 Tobias C. Berner freebsd_committer 2019-03-22 19:18:34 UTC
Should be fixed now :)
Comment 14 Piotr Kubaj freebsd_committer 2019-03-24 21:16:51 UTC
(In reply to Tobias C. Berner from comment #13)
You forgot the pkg-plist part for qtcreator:
Index: devel/qtcreator/pkg-plist
===================================================================
--- devel/qtcreator/pkg-plist   (revision 496781)
+++ devel/qtcreator/pkg-plist   (working copy)
@@ -826,6 +826,8 @@
 %%PORTDOCS%%%%DOCSDIR%%/qtcreator-dev/utils-internal-allocatedlayout-data.html
 %%PORTDOCS%%%%DOCSDIR%%/qtcreator-dev/utils-internal-allocatedlayout-members.html
 %%PORTDOCS%%%%DOCSDIR%%/qtcreator-dev/utils-internal-allocatedlayout.html
+%%NO_QTWEBENGINE%%%%PORTDOCS%%%%DOCSDIR%%/qtcreator-dev/utils-internal-asyncjob-members.html
+%%NO_QTWEBENGINE%%%%PORTDOCS%%%%DOCSDIR%%/qtcreator-dev/utils-internal-asyncjob.html
 %%PORTDOCS%%%%DOCSDIR%%/qtcreator-dev/utils-internal-bestitemtype.html
 %%PORTDOCS%%%%DOCSDIR%%/qtcreator-dev/utils-internal-colortip-members.html
 %%PORTDOCS%%%%DOCSDIR%%/qtcreator-dev/utils-internal-colortip.html

:)
Comment 15 Tobias C. Berner freebsd_committer 2019-03-25 05:04:37 UTC
(In reply to Piotr Kubaj from comment #14)
Those files were not present for me, that's why I dropped that hunk from your patch.

mfg Tobias
Comment 16 Tobias C. Berner freebsd_committer 2019-03-25 05:15:37 UTC
(In reply to Tobias C. Berner from comment #15)
It likely comes from the clangbackend (src/tools/clangbackend) which is not present on your gcc builds.

mfg Tobias
Comment 17 Piotr Kubaj freebsd_committer 2019-03-27 09:49:33 UTC
Created attachment 203185 [details]
qtcreator

(In reply to Tobias C. Berner from comment #16)
Is this patch ok?
Comment 18 Tobias C. Berner freebsd_committer 2019-03-27 10:03:33 UTC
(In reply to Piotr Kubaj from comment #17)
Is it really related to webengine at all?
Comment 19 Piotr Kubaj freebsd_committer 2019-03-27 14:13:50 UTC
Created attachment 203190 [details]
qtcreator v2

(In reply to Tobias C. Berner from comment #18)
Yes, it looks like NO_QTWEBENGINE isn't needed. Correct patch attached.
Comment 20 commit-hook freebsd_committer 2019-03-30 21:05:56 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar 30 21:05:22 UTC 2019
New revision: 497360
URL: https://svnweb.freebsd.org/changeset/ports/497360

Log:
  devel/qtcreator: fix plist on GCC based architectures

  PR:		235093
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/pkg-plist